package com.ruoyi.ss.device.domain;

import lombok.Data;

/**
 * @author wjh
 * 2024/5/10
 */
@Data
public class SmDeviceBO extends SmDevice {

    /**
     * 过滤新增字段
     */
    public SmDeviceBO filterCreate() {
        SmDeviceBO bo = new SmDeviceBO();
        bo.setDeviceNo(getDeviceNo());
        bo.setStoreId(getStoreId());
        bo.setDeviceName(getDeviceName());
        bo.setModelId(getModelId());
        bo.setMac(getMac());
        bo.setUserId(getUserId());
        bo.setServiceRate(getServiceRate());
        return bo;
    }

    /**
     * 过滤更新字段
     */
    public SmDeviceBO filterUpdate() {
        SmDeviceBO bo = new SmDeviceBO();
        bo.setDeviceId(getDeviceId());
        bo.setDeviceNo(getDeviceNo());
        bo.setStoreId(getStoreId());
        bo.setDeviceName(getDeviceName());
        bo.setModelId(getModelId());
        bo.setUserId(getUserId());
        bo.setServiceRate(getServiceRate());
        return bo;
    }

    /**
     * 过滤APP更新字段
     */
    public SmDeviceBO filterUpdateByApp() {
        SmDeviceBO bo = new SmDeviceBO();
        bo.setDeviceId(getDeviceId());
        bo.setStoreId(getStoreId());
        bo.setRemark(getRemark());
        bo.setDeviceName(getDeviceName());
        bo.setCustomPicture(getCustomPicture());
        return bo;
    }
}
